aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorfile <file@f38db490-d61c-443f-a65b-d21fe96a405b>2008-05-05 22:10:05 +0000
committerfile <file@f38db490-d61c-443f-a65b-d21fe96a405b>2008-05-05 22:10:05 +0000
commit196c4e1c619d144790cec4a7257a7b2aab126575 (patch)
treef8ebf1fb638b8c3ad9e2ede4b28debe1dc5e7ef4
parentd821ef5468a18cb7df55e250827331e54247c7db (diff)
Make sure that either the main speex library contains preprocess functions or that speexdsp does. If both fail then speex stuff can not be built.
git-svn-id: http://svn.digium.com/svn/asterisk/branches/1.4@115327 f38db490-d61c-443f-a65b-d21fe96a405b
-rw-r--r--build_tools/menuselect-deps.in1
-rw-r--r--codecs/codec_speex.c1
-rwxr-xr-xconfigure424
-rw-r--r--configure.ac11
-rw-r--r--include/asterisk/autoconfig.h.in3
5 files changed, 438 insertions, 2 deletions
diff --git a/build_tools/menuselect-deps.in b/build_tools/menuselect-deps.in
index e9eac5625..3ffb565bf 100644
--- a/build_tools/menuselect-deps.in
+++ b/build_tools/menuselect-deps.in
@@ -23,6 +23,7 @@ PRI=@PBX_PRI@
RADIUS=@PBX_RADIUS@
SPEEX=@PBX_SPEEX@
SPEEXDSP=@PBX_SPEEXDSP@
+SPEEX_PREPROCESS=@PBX_SPEEX_PREPROCESS@
SQLITE=@PBX_SQLITE@
SSL=@PBX_OPENSSL@
TONEZONE=@PBX_TONEZONE@
diff --git a/codecs/codec_speex.c b/codecs/codec_speex.c
index ad2f02fed..6eff087d3 100644
--- a/codecs/codec_speex.c
+++ b/codecs/codec_speex.c
@@ -29,6 +29,7 @@
/*** MODULEINFO
<depend>speex</depend>
+ <depend>speex_preprocess</depend>
<use>speexdsp</use>
***/
diff --git a/configure b/configure
index 86b2c57be..1667cc8ec 100755
--- a/configure
+++ b/configure
@@ -899,6 +899,7 @@ OPENH323_INCDIR
OPENH323_LIBDIR
OPENH323_SUFFIX
OPENH323_BUILD
+PBX_SPEEX_PREPROCESS
PBX_ZAPTEL_VLDTMF
PBX_ZAPTEL_TRANSCODE
EDITLINE_LIB
@@ -29300,6 +29301,419 @@ echo "$as_me: *** without explicitly specifying --with-${SPEEX_OPTION}" >&6;}
fi
+# See if the main speex library contains the preprocess functions
+
+if test "${USE_SPEEX_PREPROCESS}" != "no"; then
+ pbxlibdir=""
+ if test "x${SPEEX_PREPROCESS_DIR}" != "x"; then
+ if test -d ${SPEEX_PREPROCESS_DIR}/lib; then
+ pbxlibdir="-L${SPEEX_PREPROCESS_DIR}/lib"
+ else
+ pbxlibdir="-L${SPEEX_PREPROCESS_DIR}"
+ fi
+ fi
+ { echo "$as_me:$LINENO: checking for speex/speex.h in -lspeex_preprocess_ctl" >&5
+echo $ECHO_N "checking for speex/speex.h in -lspeex_preprocess_ctl... $ECHO_C" >&6; }
+if test "${ac_cv_lib_speex_preprocess_ctl_speex_speex_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lspeex_preprocess_ctl ${pbxlibdir} $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any GCC internal prototype to avoid an error.
+ Use char because int might match the return type of a GCC
+ builtin and then its argument prototype would still apply. */
+#ifdef __cplusplus
+extern "C"
+#endif
+char speex/speex.h ();
+int
+main ()
+{
+return speex/speex.h ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_link") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+ ac_cv_lib_speex_preprocess_ctl_speex_speex_h=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_cv_lib_speex_preprocess_ctl_speex_speex_h=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_speex_preprocess_ctl_speex_speex_h" >&5
+echo "${ECHO_T}$ac_cv_lib_speex_preprocess_ctl_speex_speex_h" >&6; }
+if test $ac_cv_lib_speex_preprocess_ctl_speex_speex_h = yes; then
+ AST_SPEEX_PREPROCESS_FOUND=yes
+else
+ AST_SPEEX_PREPROCESS_FOUND=no
+fi
+
+
+ if test "${AST_SPEEX_PREPROCESS_FOUND}" = "yes"; then
+ SPEEX_PREPROCESS_LIB="-lspeex_preprocess_ctl "
+ SPEEX_PREPROCESS_HEADER_FOUND="1"
+ if test "x${SPEEX_PREPROCESS_DIR}" != "x"; then
+ SPEEX_PREPROCESS_LIB="${pbxlibdir} ${SPEEX_PREPROCESS_LIB}"
+ SPEEX_PREPROCESS_INCLUDE="-I${SPEEX_PREPROCESS_DIR}/include"
+ saved_cppflags="${CPPFLAGS}"
+ CPPFLAGS="${CPPFLAGS} -I${SPEEX_PREPROCESS_DIR}/include"
+ if test "x-lm" != "x" ; then
+ as_ac_Header=`echo "ac_cv_header_${SPEEX_PREPROCESS_DIR}/include/-lm" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ { echo "$as_me:$LINENO: checking for ${SPEEX_PREPROCESS_DIR}/include/-lm" >&5
+echo $ECHO_N "checking for ${SPEEX_PREPROCESS_DIR}/include/-lm... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+ # Is the header compilable?
+{ echo "$as_me:$LINENO: checking ${SPEEX_PREPROCESS_DIR}/include/-lm usability" >&5
+echo $ECHO_N "checking ${SPEEX_PREPROCESS_DIR}/include/-lm usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <${SPEEX_PREPROCESS_DIR}/include/-lm>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking ${SPEEX_PREPROCESS_DIR}/include/-lm presence" >&5
+echo $ECHO_N "checking ${SPEEX_PREPROCESS_DIR}/include/-lm presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <${SPEEX_PREPROCESS_DIR}/include/-lm>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: present but cannot be compiled" >&5
+echo "$as_me: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: ${SPEEX_PREPROCESS_DIR}/include/-lm: in the future, the compiler will take precedence" >&2;}
+ ( cat <<\_ASBOX
+## ------------------------------- ##
+## Report this to www.asterisk.org ##
+## ------------------------------- ##
+_ASBOX
+ ) | sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+{ echo "$as_me:$LINENO: checking for ${SPEEX_PREPROCESS_DIR}/include/-lm" >&5
+echo $ECHO_N "checking for ${SPEEX_PREPROCESS_DIR}/include/-lm... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ SPEEX_PREPROCESS_HEADER_FOUND=1
+else
+ SPEEX_PREPROCESS_HEADER_FOUND=0
+fi
+
+
+ fi
+ CPPFLAGS="${saved_cppflags}"
+ else
+ if test "x-lm" != "x" ; then
+ if test "${ac_cv_header__lm+set}" = set; then
+ { echo "$as_me:$LINENO: checking for -lm" >&5
+echo $ECHO_N "checking for -lm... $ECHO_C" >&6; }
+if test "${ac_cv_header__lm+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header__lm" >&5
+echo "${ECHO_T}$ac_cv_header__lm" >&6; }
+else
+ # Is the header compilable?
+{ echo "$as_me:$LINENO: checking -lm usability" >&5
+echo $ECHO_N "checking -lm usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <-lm>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking -lm presence" >&5
+echo $ECHO_N "checking -lm presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <-lm>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: -lm: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: -lm: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: -lm: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: -lm: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: -lm: present but cannot be compiled" >&5
+echo "$as_me: WARNING: -lm: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: -lm: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: -lm: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: -lm: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: -lm: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: -lm: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: -lm: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: -lm: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: -lm: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: -lm: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: -lm: in the future, the compiler will take precedence" >&2;}
+ ( cat <<\_ASBOX
+## ------------------------------- ##
+## Report this to www.asterisk.org ##
+## ------------------------------- ##
+_ASBOX
+ ) | sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+{ echo "$as_me:$LINENO: checking for -lm" >&5
+echo $ECHO_N "checking for -lm... $ECHO_C" >&6; }
+if test "${ac_cv_header__lm+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header__lm=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header__lm" >&5
+echo "${ECHO_T}$ac_cv_header__lm" >&6; }
+
+fi
+if test $ac_cv_header__lm = yes; then
+ SPEEX_PREPROCESS_HEADER_FOUND=1
+else
+ SPEEX_PREPROCESS_HEADER_FOUND=0
+fi
+
+
+ fi
+ fi
+ if test "x${SPEEX_PREPROCESS_HEADER_FOUND}" = "x0" ; then
+ if test -n "${SPEEX_PREPROCESS_MANDATORY}" ;
+ then
+ { echo "$as_me:$LINENO: ***" >&5
+echo "$as_me: ***" >&6;}
+ { echo "$as_me:$LINENO: *** It appears that you do not have the speex_preprocess_ctl development package installed." >&5
+echo "$as_me: *** It appears that you do not have the speex_preprocess_ctl development package installed." >&6;}
+ { echo "$as_me:$LINENO: *** Please install it to include ${SPEEX_PREPROCESS_DESCRIP} support, or re-run configure" >&5
+echo "$as_me: *** Please install it to include ${SPEEX_PREPROCESS_DESCRIP} support, or re-run configure" >&6;}
+ { echo "$as_me:$LINENO: *** without explicitly specifying --with-${SPEEX_PREPROCESS_OPTION}" >&5
+echo "$as_me: *** without explicitly specifying --with-${SPEEX_PREPROCESS_OPTION}" >&6;}
+ exit 1
+ fi
+ SPEEX_PREPROCESS_LIB=""
+ SPEEX_PREPROCESS_INCLUDE=""
+ PBX_SPEEX_PREPROCESS=0
+ else
+ PBX_SPEEX_PREPROCESS=1
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_SPEEX_PREPROCESS 1
+_ACEOF
+
+ fi
+ elif test -n "${SPEEX_PREPROCESS_MANDATORY}";
+ then
+ { echo "$as_me:$LINENO: ***" >&5
+echo "$as_me: ***" >&6;}
+ { echo "$as_me:$LINENO: *** The ${SPEEX_PREPROCESS_DESCRIP} installation on this system appears to be broken." >&5
+echo "$as_me: *** The ${SPEEX_PREPROCESS_DESCRIP} installation on this system appears to be broken." >&6;}
+ { echo "$as_me:$LINENO: *** Either correct the installation, or run configure" >&5
+echo "$as_me: *** Either correct the installation, or run configure" >&6;}
+ { echo "$as_me:$LINENO: *** without explicitly specifying --with-${SPEEX_PREPROCESS_OPTION}" >&5
+echo "$as_me: *** without explicitly specifying --with-${SPEEX_PREPROCESS_OPTION}" >&6;}
+ exit 1
+ fi
+fi
+
+if test "${PBX_SPEEX_PREPROCESS}" = 1; then
+ PBX_SPEEX_PREPROCESS=1
+fi
+
if test "${USE_SPEEXDSP}" != "no"; then
pbxlibdir=""
@@ -29708,6 +30122,11 @@ echo "$as_me: *** without explicitly specifying --with-${SPEEXDSP_OPTION}" >&6;}
fi
fi
+if test "${PBX_SPEEXDSP}" = 1; then
+ PBX_SPEEX_PREPROCESS=1
+fi
+
+
if test "${USE_SQLITE}" != "no"; then
@@ -35910,6 +36329,7 @@ OPENH323_INCDIR!$OPENH323_INCDIR$ac_delim
OPENH323_LIBDIR!$OPENH323_LIBDIR$ac_delim
OPENH323_SUFFIX!$OPENH323_SUFFIX$ac_delim
OPENH323_BUILD!$OPENH323_BUILD$ac_delim
+PBX_SPEEX_PREPROCESS!$PBX_SPEEX_PREPROCESS$ac_delim
PBX_ZAPTEL_VLDTMF!$PBX_ZAPTEL_VLDTMF$ac_delim
PBX_ZAPTEL_TRANSCODE!$PBX_ZAPTEL_TRANSCODE$ac_delim
EDITLINE_LIB!$EDITLINE_LIB$ac_delim
@@ -35920,7 +36340,6 @@ PBX_GTK!$PBX_GTK$ac_delim
GTK_INCLUDE!$GTK_INCLUDE$ac_delim
GTK_LIB!$GTK_LIB$ac_delim
PKGCONFIG!$PKGCONFIG$ac_delim
-PBX_GTK2!$PBX_GTK2$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -35962,13 +36381,14 @@ _ACEOF
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
cat >conf$$subs.sed <<_ACEOF
+PBX_GTK2!$PBX_GTK2$ac_delim
GTK2_INCLUDE!$GTK2_INCLUDE$ac_delim
GTK2_LIB!$GTK2_LIB$ac_delim
CURL_CONFIG!$CURL_CONFIG$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 4; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 5; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff --git a/configure.ac b/configure.ac
index 8a44d1c44..0ba6a489a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1269,7 +1269,18 @@ AST_EXT_LIB_CHECK([RADIUS], [radiusclient-ng], [rc_read_config], [radiusclient-n
AST_EXT_LIB_CHECK([SPEEX], [speex], [speex_encode], [speex/speex.h], [-lm])
+# See if the main speex library contains the preprocess functions
+AST_EXT_LIB_CHECK([SPEEX_PREPROCESS], [speex_preprocess_ctl], [speex/speex.h], [-lm])
+if test "${PBX_SPEEX_PREPROCESS}" = 1; then
+ PBX_SPEEX_PREPROCESS=1
+fi
+
AST_EXT_LIB_CHECK([SPEEXDSP], [speexdsp], [speex_preprocess_ctl], [speex/speex.h], [-lm])
+if test "${PBX_SPEEXDSP}" = 1; then
+ PBX_SPEEX_PREPROCESS=1
+fi
+
+AC_SUBST(PBX_SPEEX_PREPROCESS)
AST_EXT_LIB_CHECK([SQLITE], [sqlite], [sqlite_exec], [sqlite.h])
diff --git a/include/asterisk/autoconfig.h.in b/include/asterisk/autoconfig.h.in
index e5ac572d5..07496c355 100644
--- a/include/asterisk/autoconfig.h.in
+++ b/include/asterisk/autoconfig.h.in
@@ -341,6 +341,9 @@
/* Define to indicate the ${SPEEXDSP_DESCRIP} library */
#undef HAVE_SPEEXDSP
+/* Define to indicate the ${SPEEX_PREPROCESS_DESCRIP} library */
+#undef HAVE_SPEEX_PREPROCESS
+
/* Define to indicate the ${SQLITE_DESCRIP} library */
#undef HAVE_SQLITE